This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 684928 - multicast ttl changed from 255 to 1 in defaults for totem
multicast ttl changed from 255 to 1 in defaults for totem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Angus Salkeld
Cluster QE
: Regression
Depends On: 633415 640311 684930
Blocks: 684020 684305 688049
  Show dependency treegraph
 
Reported: 2011-03-14 16:10 EDT by Steven Dake
Modified: 2016-04-26 09:58 EDT (History)
10 users (show)

See Also:
Fixed In Version: corosync-1.2.3-30.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 640311
Environment:
Last Closed: 2011-05-19 10:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch fixes the ttl defaults and range (1.95 KB, patch)
2011-03-14 19:48 EDT, Angus Salkeld
no flags Details | Diff

  None (edit)
Comment 3 Angus Salkeld 2011-03-14 19:48:36 EDT
Created attachment 484332 [details]
This patch fixes the ttl defaults and range

This patch fixes the ttl defaults and range

1) both IPv4 and IPv6 mcast should default to ttl=1
2) the range should be 0..255
   0 is valid meaning localhost only (cluster of one)

I have confirmed:
corosync starts up with ttl=0, tt=4 & ttl=255
corosync errors with -1 and 256
Comment 5 Jaroslav Kortus 2011-04-18 10:45:25 EDT
works as expected:
Default mcast TTL=1 (OK):
05:22:13.206428 IP (tos 0x0, ttl 1, id 0, offset 0, flags [DF], proto UDP (17), length 147)
    10.15.89.15.5404 > 239.192.181.140.5405: UDP, length 119

Default override TTL=44 (OK):
05:38:12.450338 IP (tos 0x0, ttl 44, id 0, offset 0, flags [DF], proto UDP (17), length 147)
    10.15.89.15.5404 > 239.192.181.140.5405: UDP, length 119

Failure when TTL set to udpu (OK):
Apr 18 05:42:04 z4 corosync[29781]:   [MAIN  ] parse error in config: Can only set ttl on multicast transport types

udpu TTL=64 (default) (OK):
05:43:33.090016 IP (tos 0x0, ttl 64, id 0, offset 0, flags [DF], proto UDP (17), length 147)
    10.15.89.15.37226 > 10.15.89.17.5405: UDP, length 119

udpu IPv6 default TTL (OK):
09:02:40.795006 IP6 (hlim 64, next-header UDP (17) payload length: 127) fec0:0:a0e:5900:221:5eff:fe6f:6cc7.38318 > fec0:0:a0e:5900:222:19ff:fe02:ada8.5405: [udp sum ok] UDP, length 119
09:02:40.795024 IP6 (hlim 64, next-header UDP (17) payload length: 127) fec0:0:a0e:5900:221:5eff:fe6f:6cc7.46353 > fec0:0:a0e:5900:221:5eff:fe6f:6cc7.5405: [udp sum ok] UDP, length 119

IPv6 override TTL=44 (OK):
09:04:13.418369 IP6 (hlim 44, next-header UDP (17) payload length: 127) fec0:0:a0e:5900:221:5eff:fe6f:6cc7.5404 > ff15::b5d6.5405: [udp sum ok] UDP, length 119

IPv6 default TTL (OK):
09:05:27.510154 IP6 (hlim 1, next-header UDP (17) payload length: 127) fec0:0:a0e:5900:221:5eff:fe6f:6cc7.5404 > ff15::b5d6.5405: [udp sum ok] UDP, length 119
Comment 6 errata-xmlrpc 2011-05-19 10:24:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0764.html

Note You need to log in before you can comment on or make changes to this bug.